QGIS Application - Bug report #16878

Processing: GRASS tools "silently" fail (no output, no error) on Windows if the input file is in the
root (ex: d:\) of a disk/partition

2017-07-17 11:08 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:2.18.10 Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 24777
Description

| set it to "high" despite not sure if is a regression because of the following (just as example):

if a GRASS tool is used in a model, then as there is no output a possible following algorithm will fail (and so the model), and the user will
be left thinking that the issue is in a different part of the model.

See also #16780 where | will explain also this.

History

#1 - 2017-07-17 01:56 PM - Giovanni Manghi

note: there in no error from processing, analyzing the grass run log there is an error but usually in these cases (error and no output produced) usually

processing throws an error, in this case the common user (which unfortunately usually does not read logs) is left without any information or clear errors.

#2 - 2017-07-25 11:22 PM - Giovanni Manghi
- Priority changed from High to Normal

#3 - 2017-08-08 12:28 AM - Jiirgen Fischer
- Description updated

#4 - 2019-03-09 03:10 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugdfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Most plugins have been either migrated or incorporated into the core QGIS code base.
We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.
The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
